> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Discord OAuth URL

> Generates a Discord OAuth URL for user authentication. Requires Discord integration to be enabled and configured. You should setCookie for the discord_username, discord_id, discord_linked after successful auth callback (example available in our default template).



## OpenAPI

````yaml GET /auth/discord
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /auth/discord:
    get:
      tags:
        - discord-auth
      summary: Get Discord OAuth URL
      description: >-
        Generates a Discord OAuth URL for user authentication. Requires Discord
        integration to be enabled and configured. You should setCookie for the
        discord_username, discord_id, discord_linked after successful auth
        callback (example available in our default template).
      responses:
        '200':
          description: OAuth URL generated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  url:
                    type: string
                    description: Discord OAuth URL
                    example: https://discord.com/api/oauth2/authorize?client_id=...
        '400':
          description: Discord integration is disabled or not configured
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Discord Integration is disabled or not configured.
        '500':
          description: Failed to generate auth URL
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: 'Failed to generate auth URL: Invalid configuration'

````